<div *ngIf="basicModuleData && basicModuleConfigurations" id="infos">

  <div *ngIf="isLicenseEnabled()" class="is-size-7 has-tooltip">
    <i class="fas fa-balance-scale"></i> {{ basicModuleData.license }}
    <span class="is-tooltip">LICENSE</span>
  </div>

  <div *ngIf="isCommitCountEnabled()" class="is-size-7 has-tooltip">
    <i class="fas fa-genderless"></i> {{ basicModuleData.commits_count }}
    <span class="is-tooltip">Commits count (Visible if member of project)</span>
  </div>

  <div *ngIf="isBranchCountEnabled()" class="is-size-7 has-tooltip">
    <i class="fas fa-code-branch"></i> {{ basicModuleData.branches_count }}
    <span class="is-tooltip">Branches count</span>
  </div>

  <div *ngIf="isOpenIssuesCountEnabled()" class="is-size-7 has-tooltip">
    <i class="far fa-clone"></i> {{ basicModuleData.open_issues_count }}
    <span class="is-tooltip">Open issues count</span>
  </div>

  <div *ngIf="isTagCountEnabled()" class="is-size-7 has-tooltip">
    <i class="fas fa-tags fa-flip-horizontal"></i> {{ basicModuleData.tags_count }}
    <span class="is-tooltip">Tags count</span>
  </div>

  <div *ngIf="isSizeEnabled()" class="is-size-7 has-tooltip">
    <i class="far fa-file-code"></i> {{ basicModuleData.size }}
    <span class="is-tooltip">Repository size (Visible if member of project)</span>
  </div>

  <div *ngIf="isContributorCountEnabled()" class="is-size-7 has-tooltip">
    <i class="fas fa-users"></i> {{ basicModuleData.contributors_count }}
    <span class="is-tooltip">Contributors count</span>
  </div>

  <div *ngIf="isLastActivityAtEnabled()" class="is-size-7 has-tooltip">
    <i class="fas fa-history fa-flip-horizontal"></i> {{ dateToLocalDateString(basicModuleData.last_activity_at) }}
    <span class="is-tooltip">Last update</span>
  </div>

  <div *ngIf="isWikiEnabled()" class="is-size-7 has-tooltip">
    <div *ngIf="!basicModuleData.wiki_enabled; else wikiEnabledBlock">
      <i class="fas fa-book" style="color: red"></i>
      <span class="is-tooltip">Wiki is not enabled in this repository</span>
    </div>
    <ng-template #wikiEnabledBlock>
      <i class="fas fa-book" style="color: forestgreen"></i>
      <span class="is-tooltip">Wiki is enabled in this repository</span>
    </ng-template>
  </div>

  <div *ngIf="isURLEnabled()" class="is-size-7 has-tooltip">
    <a [href]="basicModuleData.url" target="_blank"><i class="fas fa-external-link-square-alt"></i></a>
    <span class="is-tooltip">Repository URL</span>
  </div>

</div>

